package WechatServer

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/WechatServer"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /server/list WechatServer GetServerList
//
// Get server list | 获取Server列表
//
// Get server list | 获取Server列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: ServerListReq
//
// Responses:
//  200: ServerListResp

func GetServerListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.ServerListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := WechatServer.NewGetServerListLogic(r.Context(), svcCtx)
		resp, err := l.GetServerList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
